net.sf.jasperreports.engine.virtualization

## Class VirtualizationOutput

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ObjectOutputStream
    - - net.sf.jasperreports.engine.virtualization.VirtualizationOutput

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.io.ObjectOutput, java.io.ObjectStreamConstants, java.lang.AutoCloseable

      public class VirtualizationOutput
      extends java.io.ObjectOutputStream

  Version:
    $Id: VirtualizationOutput.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.io.ObjectOutputStream

      `java.io.ObjectOutputStream.PutField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualizationOutput(java.io.OutputStream out, VirtualizationSerializer serializer, JRVirtualizationContext virtualizationContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `annotateClass(java.lang.Class<?> clazz)`
    `protected java.lang.Integer` | `findReference(int typeValue, java.lang.Object value)`
    `JRVirtualizationContext` | `getVirtualizationContext()`
    `protected void` | `putReference(int typeValue, ReferenceType referenceType, java.lang.Object value)`
    `protected void` | `writeClassDescriptor(java.io.ObjectStreamClass desc)`
    `void` | `writeIntCompressed(int value)`
    `void` | `writeJRObject(java.lang.Object o)`
    `void` | `writeJRObject(java.lang.Object o, java.lang.Boolean lookupReference, java.lang.Boolean storeReference)`

    - ### Methods inherited from class java.io.ObjectOutputStream

      `annotateProxyClass, close, defaultWriteObject, drain, enableReplaceObject, flush, putFields, replaceObject, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeObjectOverride, writeShort, writeStreamHeader, writeUnshared, writeUTF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualizationOutput

          public VirtualizationOutput(java.io.OutputStream out,
                              VirtualizationSerializer serializer,
                              JRVirtualizationContext virtualizationContext)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getVirtualizationContext

          public JRVirtualizationContext getVirtualizationContext()

    - #### annotateClass

          protected void annotateClass(java.lang.Class<?> clazz)
                                throws java.io.IOException

      Overrides:
        `annotateClass` in class `java.io.ObjectOutputStream`
      Throws:
        `java.io.IOException`

    - #### writeClassDescriptor

          protected void writeClassDescriptor(java.io.ObjectStreamClass desc)
                                       throws java.io.IOException

      Overrides:
        `writeClassDescriptor` in class `java.io.ObjectOutputStream`
      Throws:
        `java.io.IOException`

    - #### writeIntCompressed

          public void writeIntCompressed(int value)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeJRObject

          public void writeJRObject(java.lang.Object o)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeJRObject

          public void writeJRObject(java.lang.Object o,
                           java.lang.Boolean lookupReference,
                           java.lang.Boolean storeReference)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### findReference

          protected java.lang.Integer findReference(int typeValue,
                                        java.lang.Object value)

    - #### putReference

          protected void putReference(int typeValue,
                          ReferenceType referenceType,
                          java.lang.Object value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com